Debian Bug report logs - #707932
ITP: view3dscene -- 3D scene viewer written with FreePascal & Lazarus

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Abou Al Montacir <abou.almontacir@sfr.fr>

Date: Sun, 12 May 2013 08:57:02 UTC

Owned by: Abou Al Montacir <abou.almontacir@sfr.fr>

Severity: wishlist

Fixed in version view3dscene/3.13.0-1

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#707932; Package wnpp. (Sun, 12 May 2013 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Abou Al Montacir <abou.almontacir@sfr.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 08:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Abou Al Montacir <abou.almontacir@sfr.fr>
To: submit@bugs.debian.org
Cc: Michalis Kamburelis <kambi@users.sf.net>
Subject: ITP: view3dscene -- 3D scene viewer written with FreePascal & Lazarus
Date: Sun, 12 May 2013 10:54:53 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: view3dscene
        Version: 4.0.1
Upstream Author: Michalis Kamburelis <kambi@users.sf.net>
            URL: http://castle-engine.sourceforge.net
        License: LGPL-2 + extention allowing statically linking to non free software
    Description:  View 3D Scene - 3D scene viewer written with FreePascal & Lazarus

Castle Game Engine is a set of LGPL licenced libraries that are inteded to
ease developing 3D games with FreePascal / Lazarus.

It provides an excellent support for the VRML / X3D 3D data format. Other 3D
formats are also supported.

It features many advanced graphic effects and easy to use API on top of OpenGL

View 3D Scene is a 3D scene viewer used to export 3D scenes into
compatible format for use with Casle Game Engine based games and
applications.

Cheers,

[signature.asc (application/pgp-signature, inline)]

Owner recorded as Abou Al Montacir <abou.almontacir@sfr.fr>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 12 May 2013 17:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Abou Al Montacir <abou.almontacir@sfr.fr>:
Bug#707932; Package wnpp. (Sun, 12 May 2013 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michalis Kamburelis <michalis.kambi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Abou Al Montacir <abou.almontacir@sfr.fr>. (Sun, 12 May 2013 20:57:04 GMT) Full text and rfc822 format available.

Message #12 received at 707932@bugs.debian.org (full text, mbox):

From: Michalis Kamburelis <michalis.kambi@gmail.com>
To: 707932@bugs.debian.org
Subject: Re: ITP: view3dscene -- 3D scene viewer written with FreePascal & Lazarus
Date: Sun, 12 May 2013 22:54:22 +0200
Some small changes to the view3dscene data in this bugreport are needed, 
all send to Abou (see forum thread on 
https://sourceforge.net/p/castle-engine/discussion/general/thread/377c403d/ 
and https://code.google.com/r/michaliskambi-view3dscene-debian/ ).

For the sake of people that find this bug through google, short recap:

>          Version: 4.0.1

This should be 3.12.0 (view3scene versions are separate from Castle Game 
Engine versions).

>              URL: http://castle-engine.sourceforge.net

More specific URL is http://castle-engine.sourceforge.net/view3dscene.php

>          License: LGPL-2 + extention allowing statically linking to non free software

This should be GPL (view3dscene, unlike Castle Game Engine, is only 
under strict GPL).

Regards,
Michalis



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 19 Sep 2013 20:06:11 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Sat, 21 Sep 2013 04:03:50 GMT) Full text and rfc822 format available.

Notification sent to Abou Al Montacir <abou.almontacir@sfr.fr>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:03:50 GMT) Full text and rfc822 format available.

Message #19 received at 707932-close@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 707932-close@bugs.debian.org
Subject: Bug#707932: fixed in view3dscene 3.13.0-1
Date: Sat, 21 Sep 2013 04:00:18 +0000
Source: view3dscene
Source-Version: 3.13.0-1

We believe that the bug you reported is fixed in the latest version of
view3dscene, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Gevers <elbrus@debian.org> (supplier of updated view3dscene package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Sep 2013 21:17:12 +0200
Source: view3dscene
Binary: view3dscene
Architecture: source amd64
Version: 3.13.0-1
Distribution: unstable
Urgency: low
Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
Changed-By: Paul Gevers <elbrus@debian.org>
Description: 
 view3dscene - VRML / X3D browser, and a viewer for other 3D model formats
Closes: 707932
Changes: 
 view3dscene (3.13.0-1) unstable; urgency=low
 .
   [ Abou Al Montacir ]
   * Packaged view3dscene for Debian. (Closes: Bug#707932)
Checksums-Sha1: 
 2ca69c0a346559842b3826b7f61ed7e997178709 1889 view3dscene_3.13.0-1.dsc
 a8ba187ff52d321794cc7c5addd62fc454847e81 7083490 view3dscene_3.13.0.orig.tar.gz
 2d1a7091308d2391247a0b7b308292a0866a1e6c 5747 view3dscene_3.13.0-1.debian.tar.gz
 da1063ca868d752f71ac49fccabdb6a1d53201fc 3125198 view3dscene_3.13.0-1_amd64.deb
Checksums-Sha256: 
 a3d5e87b11ff5f6538d0653ffd3414318be6bfe9014aad3686a43d4e758aea25 1889 view3dscene_3.13.0-1.dsc
 c661d2505adb771cb8a14365931c188b52a5866c27cbf7310eeb62b0f931a769 7083490 view3dscene_3.13.0.orig.tar.gz
 030fb048ef2396df06e12b14be7473420fa13f2f77cbd82a9e0da9e2b67f3fb5 5747 view3dscene_3.13.0-1.debian.tar.gz
 2151a20f0d2e5c6fcff274b535a60d92347434c8903ce171a3bde9ca7d0aba2a 3125198 view3dscene_3.13.0-1_amd64.deb
Files: 
 fd193a95896af509d6d2b6361f0a3b1c 1889 misc optional view3dscene_3.13.0-1.dsc
 5dbec06b528a7c7af3a3500f2268633b 7083490 misc optional view3dscene_3.13.0.orig.tar.gz
 7dfccc6ea2e09de76b69cafe4a993538 5747 misc optional view3dscene_3.13.0-1.debian.tar.gz
 ff3e792cb585e67c3b3847143acd1966 3125198 misc optional view3dscene_3.13.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJSO1F2AAoJEJxcmesFvXUKsLYH+gLDmhT7mcXeFaN7AekbtVLY
06P2K4zhFwVJBXK02ItDBKeM2s9hBo5z4PvaP68ebbeen8WIcVUt34XpzME0fHCP
1O8Ve3PUgG+xr6MbpSsOjg+ZJbmW59oArE/OClWucgRUs6VU/sTs0oxCvEJArk4Z
gZL6DahU/8QKP+W2YlXGk6+hQlp0KPXwu3naPAkd57VW+SZi78aYKN/caqcJeBh6
jNfB07D8Ki7q8O6U90hQj6nAhNHtUWLg3KNK7jgP2JdLqno3Zajv7h+RNo15UY1l
aESmJvxyDkyK1fZN7JTNOSNkOl9NXwA3uefY5tQf/7rK8qGtCdRLFPmYn76u7j0=
=oLQU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:29:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:30:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.